%if 0%{?rhel} && 0%{?rhel} <= 7
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%else
%global with_python3 1
%endif

%global srcname pytest-pep8

Name:           python-%{srcname}
Version:        1.0.6
Release:        1%{?dist}
Summary:        Pytest plugin to check PEP8 requirements

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pep8
BuildRequires:  pytest >= 2.4.2
BuildRequires:  python-pytest-cache
Requires:       python-pep8
Requires:       pytest >= 2.4.2
Requires:       python-pytest-cache

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pep8
BuildRequires:  python3-pytest >= 2.4.2
BuildRequires:  python3-pytest-cache
%endif

%description
Pytest plugin to check PEP8 requirements.


%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        Pytest plugin to check PEP8 requirements
Requires:       python3-pep8
Requires:       python3-pytest >= 2.4.2
Requires:       python3-pytest-cache

%description -n python3-%{srcname}
Pytest plugin to check PEP8 requirements.
%endif # with_python3


%prep
%setup -q -n %{srcname}-%{version}
rm -rf *.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python2} setup.py install --skip-build --root %{buildroot}


%check
PYTHONPATH=$(pwd) LC_ALL="en_US.UTF-8" \
  py.test -r s .

%if 0%{?with_python3}
pushd %{py3dir}
PYTHONPATH=$(pwd) LC_ALL="en_US.UTF-8" \
  py.test-%{python3_version} -r s .
popd
%endif # with_python3

 
%files
%doc CHANGELOG LICENSE README.txt
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc CHANGELOG LICENSE README.txt
%{python3_sitelib}/*
%endif # with_python3


%changelog
* Mon Jun 16 2014 Orion Poplawski <orion@cora.nwra.com> - 1.0.6-1
- Update to 1.0.6
- Really run tests

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 19 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Thu Mar 27 2014 Orion Poplawski <orion@cora.nwra.com> - 1.0.5-3
- Add explicit version requirements for pytest

* Mon Mar 24 2014 Orion Poplawski <orion@cora.nwra.com> - 1.0.5-2
- Capitalize summary/description

* Tue Feb 25 2014 Orion Poplawski <orion@cora.nwra.com> - 1.0.5-1
- Initial package
